For the latest news and information visit The GNU Crypto project

## gnu.crypto.key.srp6
Class SRPKeyPairGenerator

    java.lang.Object
      |
      +--gnu.crypto.key.srp6.SRPKeyPairGenerator

All Implemented Interfaces:
  IKeyPairGenerator

public class SRPKeyPairGenerator
extends java.lang.Object
implements IKeyPairGenerator

Reference:

1. SRP Protocol Design
   Thomas J. Wu.

Field Summary
`static java.lang.String` `GENERATOR` Property name of the generator (g) of an SRP key.
`static java.lang.String` `MODULUS_LENGTH` Property name of the length (Integer) of the modulus (N) of an SRP key.
`static java.lang.String` `SHARED_MODULUS` Property name of the modulus (N) of an SRP key.
`static java.lang.String` `SOURCE_OF_RANDOMNESS` Property name of an optional `SecureRandom` instance to use.
`static java.lang.String` `USE_DEFAULTS` Property name of the Boolean indicating wether or not to use defaults.
`static java.lang.String` `USER_VERIFIER` Property name of the user's verifier (v) for a Server SRP key.

Constructor Summary
`SRPKeyPairGenerator()`

Method Summary
`java.security.KeyPair` `generate()` Generates a new keypair based on the attributes used to configure the instance.
`java.lang.String` `name()` Returns the canonical name of this keypair generator.
`void` `setup(java.util.Map attributes)` [Re]-initialises this instance for use with a given set of attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODULUS_LENGTH

    public static final java.lang.String MODULUS_LENGTH

  Property name of the length (Integer) of the modulus (N) of an SRP key.

  See Also:
    Constant Field Values

### USE_DEFAULTS

    public static final java.lang.String USE_DEFAULTS

  Property name of the Boolean indicating wether or not to use defaults.

  See Also:
    Constant Field Values

### SHARED_MODULUS

    public static final java.lang.String SHARED_MODULUS

  Property name of the modulus (N) of an SRP key.

  See Also:
    Constant Field Values

### GENERATOR

    public static final java.lang.String GENERATOR

  Property name of the generator (g) of an SRP key.

  See Also:
    Constant Field Values

### USER_VERIFIER

    public static final java.lang.String USER_VERIFIER

  Property name of the user's verifier (v) for a Server SRP key.

  See Also:
    Constant Field Values

### SOURCE_OF_RANDOMNESS

    public static final java.lang.String SOURCE_OF_RANDOMNESS

  Property name of an optional `SecureRandom` instance to use. The default is to use a classloader singleton from `PRNG`.

  See Also:
    Constant Field Values

Constructor Detail

### SRPKeyPairGenerator

    public SRPKeyPairGenerator()

Method Detail

### name

    public java.lang.String name()

  Description copied from interface: `IKeyPairGenerator`
  Returns the canonical name of this keypair generator.

  Specified by:
    `name` in interface `IKeyPairGenerator`
  Returns:
    the canonical name of this instance.

### setup

    public void setup(java.util.Map attributes)

  Description copied from interface: `IKeyPairGenerator`
  [Re]-initialises this instance for use with a given set of attributes.

  Specified by:
    `setup` in interface `IKeyPairGenerator`
  Parameters:
    `attributes` - a map of name/value pairs to use for setting up the instance.

### generate

    public java.security.KeyPair generate()

  Description copied from interface: `IKeyPairGenerator`
  Generates a new keypair based on the attributes used to configure the instance.

  Specified by:
    `generate` in interface `IKeyPairGenerator`
  Returns:
    a new keypair.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.